import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.util.Scanner;
import java.io.PrintWriter;

public class task1 {

	public static void main(String[] args) throws FileNotFoundException {
		
		double area , r , h , volume;
		
		FileInputStream input = new FileInputStream("input.txt");
		FileOutputStream output = new FileOutputStream("output.txt");
		
		Scanner sc = new Scanner(input);
		PrintWriter pw = new PrintWriter(output);
		
		area = sc.nextDouble();
		r = sc.nextDouble();
		
		h = (area - (2*Math.PI*Math.pow(r, 2)))/(2*Math.PI*r);
		
		volume = Math.PI * Math.pow(r, 2) * h;
		
		pw.printf("Volume = %.2f cubic cm",volume);
		
		pw.close();
		sc.close();
		
	}

}
